See if execute bit is honoured when we go back in time
authorBryan O'Sullivan <bos@serpentine.com>
Fri, 26 Oct 2007 16:43:13 -0700
changeset 5482 7ceb740f2fef
parent 5481 04f033a03b1d
child 5483 0c43f87baba3
See if execute bit is honoured when we go back in time
tests/test-execute-bit
tests/test-execute-bit.out
new file mode 100755
--- /dev/null
+++ b/tests/test-execute-bit
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+hg init
+echo a > a
+hg ci -d'0 0' -Am'not executable'
+
+chmod +x a
+hg ci -d'1 0' -m'executable'
+hg id
+
+hg up 0
+hg id
+test -x a && echo executable -- eek || echo not executable -- whew
new file mode 100644
--- /dev/null
+++ b/tests/test-execute-bit.out
@@ -0,0 +1,5 @@
+adding a
+1549299e88d1 tip
+0 files updated, 0 files merged, 0 files removed, 0 files unresolved
+d69afc33ff8a
+not executable -- whew